package uoc.tfc.wimm;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ArrayAdapter;
import android.widget.CheckBox;
import android.widget.Spinner;

public class Ahorro extends Activity implements OnClickListener{
	
	public static boolean esAhorroActivado = false;
	private Spinner spinnerahorro=null;
	View layout = null;
	public static int valorPorcentage = 0;
	private static CheckBox check = null;
	
	
	public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ahorro);
        
        check = (CheckBox) findViewById(R.id.checkAhorro);
        check.setChecked(esAhorroActivado);
        check.setOnClickListener(this);
        
        View btn_aceptar = findViewById(R.id.ahorroAceptar);
        btn_aceptar.setOnClickListener(this);
        
        View btn_cancelar = findViewById(R.id.ahorroCancelar);
        btn_cancelar.setOnClickListener(this);
        
        spinnerahorro = (Spinner) findViewById(R.id.spinnerAhorro);
        ArrayAdapter adapter = ArrayAdapter.createFromResource(this, R.array.porcentages, android.R.layout.simple_spinner_item);
        adapter.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);
        spinnerahorro.setAdapter(adapter);
        
        layout = findViewById(R.id.layoutAhorro);
	}

	public void onClick(View v) {
		switch(v.getId()){
		case R.id.ahorroCancelar:
			finish();
			break;
		case R.id.checkAhorro:
			if(check.isChecked()){
				layout.setVisibility(0);
			}else if(!check.isChecked()){
				layout.setVisibility(4);
			}
			break;
			
		case R.id.ahorroAceptar:
			if(check.isChecked()){
				esAhorroActivado = true;
				String valorSpinner = spinnerahorro.getSelectedItem().toString();
				valorPorcentage = Integer.parseInt(valorSpinner);
				finish();
			}else {
				esAhorroActivado = false;
				finish();
			}
			break;
		default:
			break;
		
		}
		
	}
	
	public double getGastoPermitido(double ingreso,double gasto){
		double valorAhorrar = 0;
		double gastoPermitido = 0;
		
		valorAhorrar = ingreso*(valorPorcentage / 100.0);
		gastoPermitido = ingreso - valorAhorrar;
		return gastoPermitido;
	}
	
	public int getValorPorcentage(){
		return valorPorcentage;
	}
	
	public boolean getEsAhorroActivado(){
		return esAhorroActivado;
	}
}
