package uoc.tfc.wimm;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;

public class Opciones extends Activity implements OnClickListener{
	Historial h = new Historial();
	
	public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.opciones);
        
        View btn_ahorro = findViewById(R.id.opcAhorro);
        btn_ahorro.setOnClickListener(this);
        
        View btn_confingIng = findViewById(R.id.opConfigIng);
        btn_confingIng.setOnClickListener(this);
        
        View btn_configGas = findViewById(R.id.opcConfigGast);
        btn_configGas.setOnClickListener(this);
        
        View btn_eliminarFijo = findViewById(R.id.opcEliminar);
        btn_eliminarFijo.setOnClickListener(this);
        
        View btn_atras = findViewById(R.id.opcAtras);
        btn_atras.setOnClickListener(this);
	}

	public void onClick(View v) {
		switch(v.getId()){
		
		case R.id.opcAhorro:
			startActivity(new Intent(this,Ahorro.class));
			break;
		case R.id.opConfigIng:
			startActivity(new Intent(this,ConfigIngreso.class));
			finish();
			break;
		case R.id.opcConfigGast:
			startActivity(new Intent(this,ConfigGasto.class));
			finish();
			break;
		case R.id.opcEliminar:
			startActivity(new Intent(this,Eliminar.class));
			break;
		case R.id.opcAtras:
			startActivity(new Intent(this,WimmActivity.class));
			finish();
			break;
		default:
			break;
		}
		
	}
	
	public boolean onCreateOptionsMenu (Menu menu){
    	super.onCreateOptionsMenu(menu);
    	MenuInflater inflater = getMenuInflater();
    	inflater.inflate(R.menu.menuconsulta, menu);
    	return true;
    }
	
	
	public boolean onMenuItemSelected(int featureId, MenuItem item){
    	super.onMenuItemSelected(featureId, item);
    	switch(item.getItemId()){
    	case R.id.salirCons:
    		h.setEsHistoric(false);
    		finish();
    		break;
    	default:
    		break;
    	}
    	return true;
    }
}
